- Qt 5.15
- Qt 3D
- C++ Classes
- QGraphicsApiFilter
- Qt 5.15.11 Reference Documentation

# QGraphicsApiFilter Class

class Qt3DRender::QGraphicsApiFilter

The QGraphicsApiFilter class identifies the API required for the attached QTechnique. More...

Header: | #include <QGraphicsApiFilter>
qmake: | QT += 3drender
Since: | Qt 5.5
Instantiated By: | GraphicsApiFilter

This class was introduced in Qt 5.5.

- List of all members, including inherited members

## Public Types

enum | Api { OpenGLES, OpenGL, Vulkan, DirectX }
enum | OpenGLProfile { NoProfile, CoreProfile, CompatibilityProfile }

## Properties

- api : Qt3DRender::QGraphicsApiFilter::Api
- extensions : QStringList
- majorVersion : int

- minorVersion : int
- profile : Qt3DRender::QGraphicsApiFilter::OpenGLProfile
- vendor : QString

## Public Functions

| QGraphicsApiFilter(QObject *parent = nullptr)
Api | api() const
QStringList | extensions() const
int | majorVersion() const
int | minorVersion() const
OpenGLProfile | profile() const
QString | vendor() const

## Public Slots

void | setApi(Api api)
void | setExtensions(const QStringList &extensions)
void | setMajorVersion(int majorVersion)
void | setMinorVersion(int minorVersion)
void | setProfile(OpenGLProfile profile)
void | setVendor(const QString &vendor)

## Signals

void | apiChanged(Qt3DRender::QGraphicsApiFilter::Api api)
void | extensionsChanged(const QStringList &extensions)
void | graphicsApiFilterChanged()
void | majorVersionChanged(int majorVersion)
void | minorVersionChanged(int minorVersion)
void | profileChanged(Qt3DRender::QGraphicsApiFilter::OpenGLProfile profile)
void | vendorChanged(const QString &vendor)

## Related Non-Members

bool | operator!=(const QGraphicsApiFilter &reference, const QGraphicsApiFilter &sample)
bool | operator==(const QGraphicsApiFilter &reference, const QGraphicsApiFilter &sample)

## Detailed Description

## Member Type Documentation

### enum QGraphicsApiFilter::Api

Constant | Value | Description
--- | --- | ---
`Qt3DRender::QGraphicsApiFilter::OpenGLES` | `QSurfaceFormat::OpenGLES` | QSurfaceFormat::OpenGLES
`Qt3DRender::QGraphicsApiFilter::OpenGL` | `QSurfaceFormat::OpenGL` | QSurfaceFormat::OpenGL
`Qt3DRender::QGraphicsApiFilter::Vulkan` | `3` | Vulkan
`Qt3DRender::QGraphicsApiFilter::DirectX` | `4` | DirectX

### enum QGraphicsApiFilter::OpenGLProfile

This enum identifies the type of profile required.

Constant | Value | Description
--- | --- | ---
`Qt3DRender::QGraphicsApiFilter::NoProfile` | `QSurfaceFormat::NoProfile` | QSurfaceFormat::NoProfile
`Qt3DRender::QGraphicsApiFilter::CoreProfile` | `QSurfaceFormat::CoreProfile` | QSurfaceFormat::CoreProfile
`Qt3DRender::QGraphicsApiFilter::CompatibilityProfile` | `QSurfaceFormat::CompatibilityProfile` | QSurfaceFormat::CompatibilityProfile

## Property Documentation

### api : Qt3DRender::QGraphicsApiFilter::Api

Access functions:

Api | api() const
void | setApi(Api api)

Notifier signal:

void | apiChanged(Qt3DRender::QGraphicsApiFilter::Api api)

### extensions : QStringList

Access functions:

QStringList | extensions() const
void | setExtensions(const QStringList &extensions)

Notifier signal:

void | extensionsChanged(const QStringList &extensions)

### majorVersion : int

Access functions:

int | majorVersion() const
void | setMajorVersion(int majorVersion)

Notifier signal:

void | majorVersionChanged(int majorVersion)

### minorVersion : int

Access functions:

int | minorVersion() const
void | setMinorVersion(int minorVersion)

Notifier signal:

void | minorVersionChanged(int minorVersion)

### profile : Qt3DRender::QGraphicsApiFilter::OpenGLProfile

Access functions:

OpenGLProfile | profile() const
void | setProfile(OpenGLProfile profile)

Notifier signal:

void | profileChanged(Qt3DRender::QGraphicsApiFilter::OpenGLProfile profile)

### vendor : QString

Access functions:

QString | vendor() const
void | setVendor(const QString &vendor)

Notifier signal:

void | vendorChanged(const QString &vendor)

## Member Function Documentation

### QGraphicsApiFilter::QGraphicsApiFilter(QObject *parent = nullptr)

Constructs a new QGraphicsApiFilter with the specified parent.

### `[signal]` void QGraphicsApiFilter::graphicsApiFilterChanged()

This signal is emitted when the value of any property is changed.

## Related Non-Members

### bool operator!=(const QGraphicsApiFilter &reference, const QGraphicsApiFilter &sample)

Returns `true` if reference and sample are different.

### bool operator==(const QGraphicsApiFilter &reference, const QGraphicsApiFilter &sample)

Returns `true` if reference and sample are equivalent.